### firestar show based on the most symmetric five-coloring
### by John M. Sullivan

def somecolors(x, n=5, wh=False):
    colors = []
    for i in range(0,4):
        if i < n:
	   colors.append(vivid(fshue(x+i/5)))
	elif i == n and wh:
	   colors.append(white)
	else:
	   colors.append(black)
    return colors

jmscolorings1 = [
    somecolors(0,0), somecolors(0,0,True),
    somecolors(0,1), somecolors(0,1,True),
    somecolors(0,2), somecolors(0,2,True),
    somecolors(0,3), somecolors(0,3,True),
    somecolors(0,4), somecolors(0,4,True),
    somecolors(0)
]

jmssettings1 = [(fivecs[0], col) for col in jmscolorings1]

jmsshow1 = (jmssettings1,
            [(0,1,2),
             (1,1,2),(0,1,2),(1,1,2),(2,1,30),
             (3,1,2),(2,1,2),(3,1,2),(4,1,30),
             (5,1,2),(4,1,2),(5,1,2),(6,1,30),
             (7,1,2),(6,1,2),(7,1,2),(8,1,30),
             (9,1,2),(8,1,2),(9,1,2),(10,1,90)])

jmscolorings2 = [somecolors(x/120) for x in range(0,119)]
jmssettings2 = [(fivecs[0], col) for col in jmscolorings2]
jmstimings2 = [(n,2,0) for n in range(0,119)]

jmsshow2 = (jmssettings2, jmstimings2)
